| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteAliasType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteAliasType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteAliasType ()
| Default constructor.
eProsima_user_DllExport | ~CompleteAliasType ()
| Default destructor.
eProsima_user_DllExport | CompleteAliasType (const CompleteAliasType &x)
| Copy constructor.
eProsima_user_DllExport | CompleteAliasType (CompleteAliasType &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteAliasType & | operator= (const CompleteAliasType &x)
| Copy assignment.
eProsima_user_DllExport CompleteAliasType & | operator= (CompleteAliasType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteAliasType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteAliasType &x) const
| Comparison operator.
eProsima_user_DllExport void | alias_flags (const AliasTypeFlag &_alias_flags)
| This function copies the value in member alias_flags.
eProsima_user_DllExport void | alias_flags (AliasTypeFlag &&_alias_flags)
| This function moves the value in member alias_flags.
eProsima_user_DllExport const AliasTypeFlag & | alias_flags () const
| This function returns a constant reference to member alias_flags.
eProsima_user_DllExport AliasTypeFlag & | alias_flags ()
| This function returns a reference to member alias_flags.
eProsima_user_DllExport void | header (const CompleteAliasHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (CompleteAliasHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const CompleteAliasHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport CompleteAliasHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | body (const CompleteAliasBody &_body)
| This function copies the value in member body.
eProsima_user_DllExport void | body (CompleteAliasBody &&_body)
| This function moves the value in member body.
eProsima_user_DllExport const CompleteAliasBody & | body () const
| This function returns a constant reference to member body.
eProsima_user_DllExport CompleteAliasBody & | body ()
| This function returns a reference to member body.

## Detailed Description

This class represents the structure CompleteAliasType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteAliasType() [1/3]

eProsima_user_DllExport CompleteAliasType | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteAliasType()

eProsima_user_DllExport ~CompleteAliasType | ( |  | ) |

inline

Default destructor.

## ◆ CompleteAliasType() [2/3]

eProsima_user_DllExport CompleteAliasType | ( | const CompleteAliasType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteAliasType that will be copied.

## ◆ CompleteAliasType() [3/3]

eProsima_user_DllExport CompleteAliasType | ( | CompleteAliasType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteAliasType that will be copied.

## Member Function Documentation

## ◆ alias_flags() [1/4]

eProsima_user_DllExport AliasTypeFlag & alias_flags | ( |  | ) |

inline

This function returns a reference to member alias_flags.

Returns
  Reference to member alias_flags

## ◆ alias_flags() [2/4]

eProsima_user_DllExport const AliasTypeFlag & alias_flags | ( |  | ) | const

inline

This function returns a constant reference to member alias_flags.

Returns
  Constant reference to member alias_flags

## ◆ alias_flags() [3/4]

eProsima_user_DllExport void alias_flags | ( | AliasTypeFlag && | _alias_flags | ) |

inline

This function moves the value in member alias_flags.

Parameters

  _alias_flags | New value to be moved in member alias_flags

## ◆ alias_flags() [4/4]

eProsima_user_DllExport void alias_flags | ( | const AliasTypeFlag & | _alias_flags | ) |

inline

This function copies the value in member alias_flags.

Parameters

  _alias_flags | New value to be copied in member alias_flags

## ◆ body() [1/4]

eProsima_user_DllExport CompleteAliasBody & body | ( |  | ) |

inline

This function returns a reference to member body.

Returns
  Reference to member body

## ◆ body() [2/4]

eProsima_user_DllExport const CompleteAliasBody & body | ( |  | ) | const

inline

This function returns a constant reference to member body.

Returns
  Constant reference to member body

## ◆ body() [3/4]

eProsima_user_DllExport void body | ( | CompleteAliasBody && | _body | ) |

inline

This function moves the value in member body.

Parameters

  _body | New value to be moved in member body

## ◆ body() [4/4]

eProsima_user_DllExport void body | ( | const CompleteAliasBody & | _body | ) |

inline

This function copies the value in member body.

Parameters

  _body | New value to be copied in member body

## ◆ header() [1/4]

eProsima_user_DllExport CompleteAliasHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const CompleteAliasHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | CompleteAliasHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | const CompleteAliasHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteAliasType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteAliasType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteAliasType & operator= | ( | CompleteAliasType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteAliasType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteAliasType & operator= | ( | const CompleteAliasType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteAliasType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteAliasType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteAliasType object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp